'use strict';

var number = require('../../../utils/mix/number.js');
var progress = require('../../../../../../../../motion-utils@12.36.0/node_modules/motion-utils/dist/es/progress.js');

function fillOffset(offset, remaining) {
    const min = offset[offset.length - 1];
    for (let i = 1; i <= remaining; i++) {
        const offsetProgress = progress.progress(0, remaining, i);
        offset.push(number.mixNumber(min, 1, offsetProgress));
    }
}

exports.fillOffset = fillOffset;
